Bug 55938 - No files listed in directories ending with '.'
No files listed in directories ending with '.'
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: samba (Show other bugs)
7.2
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-08 23:31 EST by Chris Rode
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-08 23:31:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Rode 2001-11-08 23:31:27 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
If you have a directory name ending with a period (in my particular 
case, "Randy Newman - Monsters, Inc.") on a samba server, when you go to 
that folder in Windows Explorer, no files appear.  Renaming the directory 
such that it does not end with a period ("Randy Newman - Monsters, Inc") 
makes the files appear.

This actually appears to be an oddity with respect to Windows.  It 
appears (from simple testing) that to Windows, "name." and "name" are the 
same (trying to create a directory from within Windows with a trailing 
dot (or dots) just chops off the dots.  So, it appears that when Windows 
receives "name." from the server, when it goes to ask the server for the 
directory, it instinctively chops off the dot, asking for "name", which 
doesn't exist.

This is with samba 2.2.1a-4 that ships with 7.2, and Windows XP Pro.  
I've got confirmation that it occurs with 2.0.7 and Windows 98, as well.

Not sure this is fixable without doing some filename mangling within 
Samba, but I'll file this anyways, just in case. ;)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
See above.  Create a directory that ends with a dot, and throw some files 
in it. :)

Additional info:
Comment 1 Trond Eivind Glomsrxd 2001-11-09 12:43:52 EST
It shows up fine when mounting it on a linux system, so I think this would be a
Windows problem. Can't really fix that. ;) Closing as NOTABUG ("NOTOURBUG" would
probably be more accurate, but there is no such state)

Note You need to log in before you can comment on or make changes to this bug.